## i18nspector 0.11.1

=== Makefile ===
# Copyright © 2012, 2013 Jakub Wilk <jwilk@jwilk.net>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the “Software”), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.

PYTHON = python3
PREFIX = /usr/local
DESTDIR =

exe = i18nspector

bindir = $(PREFIX)/bin
basedir = $(PREFIX)/share/$(exe)
libdir = $(basedir)/lib
datadir = $(basedir)/data
mandir = $(PREFIX)/share/man

.PHONY: all
all: ;

.PHONY: install
install:
	# binary:
	install -d -m755 $(DESTDIR)$(bindir)
	sed -e "s#^basedir_fallback = .*#basedir_fallback = '$(basedir)/'#" $(exe) > $(DESTDIR)$(bindir)/$(exe)
	chmod 0755 $(DESTDIR)$(bindir)/$(exe)
	# library:
	( cd lib && find -type f ! -name '*.py[co]' ) \
	| sed -e 's#^[.]/##' \
	| xargs -t -I {} install -D -m644 lib/{} $(DESTDIR)$(libdir)/{}
	# data:
	install -d -m755 $(DESTDIR)$(datadir)
	install -m 644 data/* $(DESTDIR)$(datadir)
	# manual page:
	install -D -m644 doc/$(exe).1 $(DESTDIR)$(mandir)/man1/$(exe).1

.PHONY: test
test:
	$(PYTHON) ./tests/run-tests -v

# vim:ts=4 sw=4 noet

=== debian/changelog ===
i18nspector (0.11.1-1) unstable; urgency=low

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Sat, 13 Jul 2013 01:44:58 +1000

i18nspector (0.10-1) unstable; urgency=low

  * New upstream release.
  * Add DEP-8 autopkgtest test suite.

 -- Stuart Prescott <stuart@debian.org>  Sun, 16 Jun 2013 15:27:05 +1000

i18nspector (0.9.2-1) unstable; urgency=low

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Sun, 09 Jun 2013 00:18:10 +1000

i18nspector (0.9.1-1) unstable; urgency=low

  * New upstream release.
   - don't complain about inconsistent new lines for fuzzy messages 
     (Closes: #708586).

 -- Stuart Prescott <stuart@debian.org>  Sat, 18 May 2013 23:19:35 +1000

i18nspector (0.9-1) unstable; urgency=low

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Thu, 16 May 2013 10:28:08 +1000

i18nspector (0.8.3-1) unstable; urgency=low

  * New upstream release.
  * Add Build-Depends-Indep on python3-polib and run tests at build-time.

 -- Stuart Prescott <stuart@debian.org>  Sat, 04 May 2013 00:12:11 +1000

i18nspector (0.8.2-1) unstable; urgency=low

  * New upstream release (Closes: #703815).

 -- Stuart Prescott <stuart@debian.org>  Thu, 11 Apr 2013 19:04:25 +1000

i18nspector (0.8.1-1) unstable; urgency=low

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Tue, 19 Mar 2013 20:46:14 +1100

i18nspector (0.6-1) unstable; urgency=low

  * Initial release. (Closes: #696833)

 -- Stuart Prescott <stuart@debian.org>  Fri, 28 Dec 2012 00:12:06 +0000

=== debian/control ===
Source: i18nspector
Section: devel
Priority: optional
Maintainer: Stuart Prescott <stuart@debian.org>
Build-Depends: debhelper (>= 9),
                python3
Build-Depends-Indep: python3-nose,
                python3-polib
Homepage: http://jwilk.net/software/i18nspector
Standards-Version: 3.9.4
XS-Testsuite: autopkgtest

Package: i18nspector
Architecture: all
Depends: python3 (>> 3.2),
          python3-polib,
          ${python3:Depends},
          ${misc:Depends}
Description: checking tool for gettext POT, PO and MO files
 i18nspector is a tool for checking translation templates (POT), message
 catalogues (PO) and compiled message catalogues (MO) files for common problems.
 These files are used by the GNU gettext translation functions and tools in many
 different development environments.
 .
 Checks include: incorrect or inconsistent character encoding, missing headers,
 incorrect language codes and improper plural forms.
 .
 This tool was formerly known as gettext-inspector.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python3

override_dh_auto_clean:
	dh_auto_clean
	py3clean ./

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

=== debian/watch ===
version=3

https://bitbucket.org/jwilk/i18nspector/downloads/i18nspector-([\d.]+).tar.gz

## i18nspector 0.13.4

=== Makefile ===
--- 
+++ 
@@ -19,6 +19,8 @@
 # SOFTWARE.
 
 PYTHON = python3
+INSTALL = install
+
 PREFIX = /usr/local
 DESTDIR =
 
@@ -36,21 +38,27 @@
 .PHONY: install
 install:
 	# binary:
-	install -d -m755 $(DESTDIR)$(bindir)
+	$(INSTALL) -d -m755 $(DESTDIR)$(bindir)
 	sed -e "s#^basedir_fallback = .*#basedir_fallback = '$(basedir)/'#" $(exe) > $(DESTDIR)$(bindir)/$(exe)
 	chmod 0755 $(DESTDIR)$(bindir)/$(exe)
 	# library:
-	( cd lib && find -type f ! -name '*.py[co]' ) \
+	( cd lib && find . -type f ! -name '*.py[co]' ) \
 	| sed -e 's#^[.]/##' \
-	| xargs -t -I {} install -D -m644 lib/{} $(DESTDIR)$(libdir)/{}
+	| xargs -t -I {} $(INSTALL) -p -D -m644 lib/{} $(DESTDIR)$(libdir)/{}
 	# data:
-	install -d -m755 $(DESTDIR)$(datadir)
-	install -m 644 data/* $(DESTDIR)$(datadir)
+	( cd data && find . -type f ) \
+	| sed -e 's#^[.]/##' \
+	| xargs -t -I {} $(INSTALL) -p -D -m644 data/{} $(DESTDIR)$(datadir)/{}
 	# manual page:
-	install -D -m644 doc/$(exe).1 $(DESTDIR)$(mandir)/man1/$(exe).1
+	$(INSTALL) -p -D -m644 doc/$(exe).1 $(DESTDIR)$(mandir)/man1/$(exe).1
 
 .PHONY: test
 test:
 	$(PYTHON) ./tests/run-tests -v
 
+.PHONY: clean
+clean:
+	find . -type f -name '*.py[co]' -delete
+	find . -type d -name '__pycache__' -delete
+
 # vim:ts=4 sw=4 noet

=== doc/Makefile ===
export LC_ALL=C

rst2man = $(or $(shell which rst2man),rst2man.py)
exe = i18nspector

.PHONY: all
all: $(exe).1

tags.txt: ../data/tags
	../private/tags-as-rst > $(@).tmp
	mv $(@).tmp $(@)

$(exe).1: $(exe).txt tags.txt
	$(rst2man) --input-encoding=UTF-8:strict < $(<) > $(@).tmp
	sed -i -e 's/^[.]de1/.de/' $(@).tmp  # work-around for http://bugs.debian.org/710678
	sed -i -e "s/\([a-z]\)\\\\(aq\([a-z]\)/\1'\2/g" $(@).tmp  # prefer ' to \(aq when used as an apostrophe
	mv $(@).tmp $(@)

.PHONY: clean
clean:
	rm -f tags.txt $(exe).1

# vim:ts=4 sw=4 noet

=== debian/changelog ===
i18nspector (0.13.4-1) unstable; urgency=medium

  * New upstream version.
    - Fix test failrues with new polib (Closes: #742162)
      (Thanks to Jakub Wilk for reporting and then fixing this!)

 -- Stuart Prescott <stuart@debian.org>  Fri, 21 Mar 2014 00:27:06 +1100

i18nspector (0.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Tue, 21 Jan 2014 20:54:59 +1100

i18nspector (0.13.2-1) unstable; urgency=medium

  * New upstream release.
  * Enable GPG checking in uscan.
  * Bump standards-version (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Thu, 09 Jan 2014 00:07:06 +1100

i18nspector (0.13.1-1) unstable; urgency=low

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Tue, 10 Dec 2013 11:52:38 +1100

i18nspector (0.13-1) unstable; urgency=low

  * New upstream release.
  * Update VCS URLs in debian/control.
  * Also copy doc directory for autopkgtests.

 -- Stuart Prescott <stuart@debian.org>  Sun, 15 Sep 2013 23:28:47 +1000

i18nspector (0.12-1) unstable; urgency=low

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Sat, 27 Jul 2013 00:52:49 +1000

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,10 @@
 Build-Depends-Indep: python3-nose,
                 python3-polib
 Homepage: http://jwilk.net/software/i18nspector
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/i18nspector.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/i18nspector.git
 
 Package: i18nspector
 Architecture: all

## i18nspector 0.16

=== debian/changelog ===
i18nspector (0.16-1) unstable; urgency=medium

  * New upstream version.
    - checks for problematic plural forms (Closes: #753946)

 -- Stuart Prescott <stuart@debian.org>  Sat, 23 Aug 2014 14:56:43 +1000

i18nspector (0.15-1) unstable; urgency=medium

  * New upstream version.

 -- Stuart Prescott <stuart@debian.org>  Sun, 10 Aug 2014 15:42:07 +1000

i18nspector (0.14-1) unstable; urgency=medium

  * New upstream version.
    - Silence errors in fuzzy strings (Closes: #753924)

 -- Stuart Prescott <stuart@debian.org>  Wed, 23 Jul 2014 01:14:55 +1000

## i18nspector 0.17

=== doc/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 $(exe).1: $(exe).txt tags.txt
 	$(rst2man) --input-encoding=UTF-8:strict < $(<) > $(@).tmp
-	sed -i -e 's/^[.]de1/.de/' $(@).tmp  # work-around for http://bugs.debian.org/710678
+	sed -i -e 's/^[.]de1/.de/' $(@).tmp  # work-around for https://bugs.debian.org/710678
 	sed -i -e "s/\([a-z]\)\\\\(aq\([a-z]\)/\1'\2/g" $(@).tmp  # prefer ' to \(aq when used as an apostrophe
 	mv $(@).tmp $(@)

=== debian/changelog ===
i18nspector (0.17-1~bpo70+1) wheezy-backports; urgency=medium

  * Add restore-compatibility-with-Wheezy-polib.diff, cherry-picked
    from upstream, to restore compatibility with Wheezy's polib.
  * Rebuild for wheezy-backports.

 -- intrigeri <intrigeri@debian.org>  Tue, 10 Feb 2015 18:52:38 +0100

i18nspector (0.17-1) unstable; urgency=medium

  * New upstream version.

 -- Stuart Prescott <stuart@debian.org>  Sat, 27 Sep 2014 23:06:49 +1000

i18nspector (0.11.1-1~bpo70+1) wheezy-backports; urgency=low

  * Set git-buildpackage's debian-branch to wheezy-backports.
  * Rebuild for wheezy-backports.

 -- intrigeri <intrigeri@debian.org>  Tue, 30 Jul 2013 16:55:27 +0200

## i18nspector 0.19

=== doc/Makefile ===
--- 
+++ 
@@ -20,4 +20,4 @@
 clean:
 	rm -f tags.txt $(exe).1
 
-# vim:ts=4 sw=4 noet
+# vim:ts=4 sts=4 sw=4 noet

=== debian/changelog ===
i18nspector (0.19-1) unstable; urgency=medium

  * New upstream version.

 -- Stuart Prescott <stuart@debian.org>  Tue, 14 Jul 2015 23:44:16 +1000

i18nspector (0.18.1-1) unstable; urgency=medium

  * New upstream version.
  * Update copyright years.
  * Bumpy standards-version (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Sun, 26 Apr 2015 22:56:02 +1000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends-Indep: python3-nose,
                 python3-polib
 Homepage: http://jwilk.net/software/i18nspector
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/i18nspector.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/i18nspector.git

## i18nspector 0.23

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2012, 2013 Jakub Wilk <jwilk@jwilk.net>
+# Copyright © 2012-2013 Jakub Wilk <jwilk@jwilk.net>
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the “Software”), to deal
@@ -61,4 +61,4 @@
 	find . -type f -name '*.py[co]' -delete
 	find . -type d -name '__pycache__' -delete
 
-# vim:ts=4 sw=4 noet
+# vim:ts=4 sts=4 sw=4 noet

=== doc/Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 
 $(exe).1: $(exe).txt tags.txt
 	$(rst2man) --input-encoding=UTF-8:strict < $(<) > $(@).tmp
+	sed -i -e '/^[.]BI/ {s/\\fP/\\fR/g}' $(@).tmp  # work-around for https://bugs.debian.org/806601
 	sed -i -e 's/^[.]de1/.de/' $(@).tmp  # work-around for https://bugs.debian.org/710678
 	sed -i -e "s/\([a-z]\)\\\\(aq\([a-z]\)/\1'\2/g" $(@).tmp  # prefer ' to \(aq when used as an apostrophe
 	mv $(@).tmp $(@)

=== debian/changelog ===
i18nspector (0.23-1) unstable; urgency=medium

  * New upstream version.
  * Bump Standards-Version to 3.9.7 (no changes required).
  * Update VCS fields to use https.

 -- Stuart Prescott <stuart@debian.org>  Sun, 07 Feb 2016 17:30:31 +1100

i18nspector (0.22-1) unstable; urgency=medium

  * New upstream version.

 -- Stuart Prescott <stuart@debian.org>  Sat, 23 Jan 2016 16:02:00 +1100

i18nspector (0.21-1) unstable; urgency=medium

  * New upstream version.

 -- Stuart Prescott <stuart@debian.org>  Tue, 24 Nov 2015 03:58:20 +1100

i18nspector (0.20.1-1) unstable; urgency=medium

  * New upstraem version.
    - no longer needs XDG_CACHE_HOME set for tests, with thanks to Jakub Wilk.

 -- Stuart Prescott <stuart@debian.org>  Sat, 19 Sep 2015 16:59:20 +1000

i18nspector (0.20-1) unstable; urgency=medium

  * New upstream version.

 -- Stuart Prescott <stuart@debian.org>  Sun, 13 Sep 2015 00:13:39 +1000

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,18 @@
 Build-Depends: debhelper (>= 9),
                 python3
 Build-Depends-Indep: python3-nose,
-                python3-polib
+                python3-polib,
+                python3-rply
 Homepage: http://jwilk.net/software/i18nspector
-Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/i18nspector.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/i18nspector.git
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/i18nspector.git
+Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/i18nspector.git
 
 Package: i18nspector
 Architecture: all
 Depends: python3 (>> 3.2),
           python3-polib,
+          python3-rply,
           ${python3:Depends},
           ${misc:Depends}
 Description: checking tool for gettext POT, PO and MO files

=== debian/tests/control ===
Tests: i18nspector
Depends: python3-nose,
 i18nspector

=== debian/watch ===
version=3

opts=pgpsigurlmangle=s/$/.asc/ \
https://bitbucket.org/jwilk/i18nspector/downloads/i18nspector-([\d.]+).tar.gz

## i18nspector 0.25.1

=== debian/changelog ===
i18nspector (0.25.1-1) unstable; urgency=medium

  * New upstream release bringing Python 3.6 compatibility.

 -- Stuart Prescott <stuart@debian.org>  Sun, 19 Jun 2016 17:50:32 +1000

i18nspector (0.25-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to new location on github (Closes: #825661).

 -- Stuart Prescott <stuart@debian.org>  Fri, 10 Jun 2016 01:22:33 +1000

i18nspector (0.24-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Fri, 26 Feb 2016 23:54:27 +1100

## i18nspector 0.25.2

=== Makefile ===
--- 
+++ 
@@ -28,8 +28,6 @@
 
 bindir = $(PREFIX)/bin
 basedir = $(PREFIX)/share/$(exe)
-libdir = $(basedir)/lib
-datadir = $(basedir)/data
 mandir = $(PREFIX)/share/man
 
 .PHONY: all
@@ -41,14 +39,9 @@
 	$(INSTALL) -d -m755 $(DESTDIR)$(bindir)
 	sed -e "s#^basedir_fallback = .*#basedir_fallback = '$(basedir)/'#" $(exe) > $(DESTDIR)$(bindir)/$(exe)
 	chmod 0755 $(DESTDIR)$(bindir)/$(exe)
-	# library:
-	( cd lib && find . -type f ! -name '*.py[co]' ) \
-	| sed -e 's#^[.]/##' \
-	| xargs -t -I {} $(INSTALL) -p -D -m644 lib/{} $(DESTDIR)$(libdir)/{}
-	# data:
-	( cd data && find . -type f ) \
-	| sed -e 's#^[.]/##' \
-	| xargs -t -I {} $(INSTALL) -p -D -m644 data/{} $(DESTDIR)$(datadir)/{}
+	# library + data:
+	( find lib data -type f ! -name '*.py[co]' ) \
+	| xargs -t -I {} $(INSTALL) -p -D -m644 {} $(DESTDIR)$(basedir)/{}
 	# manual page:
 	$(INSTALL) -p -D -m644 doc/$(exe).1 $(DESTDIR)$(mandir)/man1/$(exe).1

=== doc/Makefile ===
--- 
+++ 
@@ -1,3 +1,23 @@
+# Copyright © 2012-2015 Jakub Wilk <jwilk@jwilk.net>
+#
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the “Software”), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
+#
+# The above copyright notice and this permission notice shall be included in
+# all copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+# SOFTWARE.
+
 export LC_ALL=C
 
 rst2man = $(or $(shell which rst2man),rst2man.py)

=== debian/changelog ===
i18nspector (0.25.2-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Tue, 23 Aug 2016 01:08:21 +1000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                 python3-polib,
                 python3-rply
 Homepage: http://jwilk.net/software/i18nspector
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/i18nspector.git
 Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/i18nspector.git

## i18nspector 0.25.4

=== doc/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2012-2015 Jakub Wilk <jwilk@jwilk.net>
+# Copyright © 2012-2016 Jakub Wilk <jwilk@jwilk.net>
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the “Software”), to deal
@@ -32,9 +32,10 @@
 
 $(exe).1: $(exe).txt tags.txt
 	$(rst2man) --input-encoding=UTF-8:strict < $(<) > $(@).tmp
-	sed -i -e '/^[.]BI/ {s/\\fP/\\fR/g}' $(@).tmp  # work-around for https://bugs.debian.org/806601
+	sed -i -e '/^[.]BI/ { s/\\fP/\\fR/g; }' $(@).tmp  # work-around for https://bugs.debian.org/806601
 	sed -i -e 's/^[.]de1/.de/' $(@).tmp  # work-around for https://bugs.debian.org/710678
 	sed -i -e "s/\([a-z]\)\\\\(aq\([a-z]\)/\1'\2/g" $(@).tmp  # prefer ' to \(aq when used as an apostrophe
+	sed -i -e '/.\" vim:/d' $(@).tmp
 	mv $(@).tmp $(@)
 
 .PHONY: clean

=== debian/changelog ===
i18nspector (0.25.4-1) unstable; urgency=medium

  * New upstream version.
  * Update standards-version to 4.0.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Tue, 27 Jun 2017 17:31:26 +1000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                 python3-polib,
                 python3-rply
 Homepage: http://jwilk.net/software/i18nspector
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/i18nspector.git
 Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/i18nspector.git

## i18nspector 0.25.5

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2012-2013 Jakub Wilk <jwilk@jwilk.net>
+# Copyright © 2012-2016 Jakub Wilk <jwilk@jwilk.net>
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the “Software”), to deal
@@ -37,13 +37,21 @@
 install:
 	# binary:
 	$(INSTALL) -d -m755 $(DESTDIR)$(bindir)
-	sed -e "s#^basedir_fallback = .*#basedir_fallback = '$(basedir)/'#" $(exe) > $(DESTDIR)$(bindir)/$(exe)
+	python_exe=$$($(PYTHON) -c 'import sys; print(sys.executable)') && \
+	sed \
+		-e "1 s@^#!.*@#!$$python_exe@" \
+		-e "s#^basedir_fallback = .*#basedir_fallback = '$(basedir)/'#" \
+		$(exe) > $(DESTDIR)$(bindir)/$(exe)
 	chmod 0755 $(DESTDIR)$(bindir)/$(exe)
 	# library + data:
 	( find lib data -type f ! -name '*.py[co]' ) \
 	| xargs -t -I {} $(INSTALL) -p -D -m644 {} $(DESTDIR)$(basedir)/{}
+ifeq "$(wildcard .git doc/$(exe).1)" ".git"
+	# run "make -C doc" to build the manpage
+else
 	# manual page:
 	$(INSTALL) -p -D -m644 doc/$(exe).1 $(DESTDIR)$(mandir)/man1/$(exe).1
+endif
 
 .PHONY: test
 test:

=== doc/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2012-2016 Jakub Wilk <jwilk@jwilk.net>
+# Copyright © 2012-2017 Jakub Wilk <jwilk@jwilk.net>
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the “Software”), to deal

=== debian/changelog ===
i18nspector (0.25.5-3) unstable; urgency=medium

  * Add missing build-dependency on dh-python.
  * Update Standards-Version to 4.1.3 (no changes required).
  * Move Vcs-* headers to salsa.debian.org.

 -- Stuart Prescott <stuart@debian.org>  Wed, 28 Mar 2018 00:01:43 +1100

i18nspector (0.25.5-2) unstable; urgency=medium

  * Add python3-all to dependencies for autopkgtest tests.

 -- Stuart Prescott <stuart@debian.org>  Tue, 24 Oct 2017 23:16:48 +1100

i18nspector (0.25.5-1) unstable; urgency=medium

  * New upstream release.
  * Update standards-version to 4.1.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Sun, 27 Aug 2017 23:22:19 +1000

=== debian/control ===
Source: i18nspector
Section: devel
Priority: optional
Maintainer: Stuart Prescott <stuart@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3,
Build-Depends-Indep:
 python3-nose,
 python3-polib,
 python3-rply,
Homepage: http://jwilk.net/software/i18nspector
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/debian/i18nspector
Vcs-Git: https://salsa.debian.org/debian/i18nspector.git

Package: i18nspector
Architecture: all
Depends:
 python3 (>> 3.2),
 python3-polib,
 python3-rply,
 ${misc:Depends},
 ${python3:Depends}
Description: checking tool for gettext POT, PO and MO files
 i18nspector is a tool for checking translation templates (POT), message
 catalogues (PO) and compiled message catalogues (MO) files for common problems.
 These files are used by the GNU gettext translation functions and tools in many
 different development environments.
 .
 Checks include: incorrect or inconsistent character encoding, missing headers,
 incorrect language codes and improper plural forms.
 .
 This tool was formerly known as gettext-inspector.

=== debian/watch ===
version=3

opts=pgpsigurlmangle=s/$/.asc/ \
  https://github.com/jwilk/i18nspector/releases .*/i18nspector-(\d\S*)\.tar\.gz

## i18nspector 0.25.6

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2012-2016 Jakub Wilk <jwilk@jwilk.net>
+# Copyright © 2012-2018 Jakub Wilk <jwilk@jwilk.net>
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the “Software”), to deal
@@ -46,8 +46,8 @@
 	# library + data:
 	( find lib data -type f ! -name '*.py[co]' ) \
 	| xargs -t -I {} $(INSTALL) -p -D -m644 {} $(DESTDIR)$(basedir)/{}
-ifeq "$(wildcard .git doc/$(exe).1)" ".git"
-	# run "make -C doc" to build the manpage
+ifeq "$(wildcard doc/$(exe).1)" ""
+	# run "$(MAKE) -C doc" to build the manpage
 else
 	# manual page:
 	$(INSTALL) -p -D -m644 doc/$(exe).1 $(DESTDIR)$(mandir)/man1/$(exe).1

=== doc/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2012-2017 Jakub Wilk <jwilk@jwilk.net>
+# Copyright © 2012-2018 Jakub Wilk <jwilk@jwilk.net>
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the “Software”), to deal
@@ -26,20 +26,20 @@
 .PHONY: all
 all: $(exe).1
 
-tags.txt: ../data/tags
+tags.rst: ../data/tags
 	../private/tags-as-rst > $(@).tmp
 	mv $(@).tmp $(@)
 
-$(exe).1: $(exe).txt tags.txt
-	$(rst2man) --input-encoding=UTF-8:strict < $(<) > $(@).tmp
-	sed -i -e '/^[.]BI/ { s/\\fP/\\fR/g; }' $(@).tmp  # work-around for https://bugs.debian.org/806601
-	sed -i -e 's/^[.]de1/.de/' $(@).tmp  # work-around for https://bugs.debian.org/710678
-	sed -i -e "s/\([a-z]\)\\\\(aq\([a-z]\)/\1'\2/g" $(@).tmp  # prefer ' to \(aq when used as an apostrophe
-	sed -i -e '/.\" vim:/d' $(@).tmp
+$(exe).1: manpage.rst tags.rst
+	$(rst2man) --input-encoding=UTF-8 < $(<) > $(@).tmp
+	perl -pi -e '/^[.]BI\b/ and s/\\fP/\\fR/g' $(@).tmp  # work-around for https://bugs.debian.org/806601
+	perl -pi -e 's/^[.]de1\b/.de/' $(@).tmp  # work-around for https://bugs.debian.org/710678
+	perl -pi -e 's/([a-z])\\[(]aq([a-z])/$$1\x27$$2/g' $(@).tmp  # prefer ' to \(aq when used as an apostrophe
+	perl -ni -e 'print unless /^[.]\\" vim:/' $(@).tmp
 	mv $(@).tmp $(@)
 
 .PHONY: clean
 clean:
-	rm -f tags.txt $(exe).1
+	rm -f tags.rst $(exe).1 *.tmp
 
 # vim:ts=4 sts=4 sw=4 noet

=== debian/changelog ===
i18nspector (0.25.6-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.1.4 (no changes required).
  * Update to debhelper compat 11.

 -- Stuart Prescott <stuart@debian.org>  Mon, 21 May 2018 00:25:50 +1000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Stuart Prescott <stuart@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11~),
  dh-python,
  python3,
 Build-Depends-Indep:
@@ -11,7 +11,7 @@
  python3-polib,
  python3-rply,
 Homepage: http://jwilk.net/software/i18nspector
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/debian/i18nspector
 Vcs-Git: https://salsa.debian.org/debian/i18nspector.git

## i18nspector 0.25.7

=== debian/changelog ===
i18nspector (0.25.7-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

  [ Stuart Prescott ]
  * New upstream release.
   - Don't emit FutureWarning noise (Closes: #916928).
  * Update Standards-Version to 4.3.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Wed, 26 Dec 2018 17:52:17 +1100

## i18nspector 0.25.8

=== Makefile ===
--- 
+++ 
@@ -19,38 +19,40 @@
 # SOFTWARE.
 
 PYTHON = python3
-INSTALL = install
+INSTALL = $(if $(shell command -v ginstall;),ginstall,install)
 
 PREFIX = /usr/local
 DESTDIR =
 
-exe = i18nspector
-
 bindir = $(PREFIX)/bin
-basedir = $(PREFIX)/share/$(exe)
+basedir = $(PREFIX)/share/i18nspector
 mandir = $(PREFIX)/share/man
 
 .PHONY: all
 all: ;
 
 .PHONY: install
-install:
+install: i18nspector
 	# binary:
 	$(INSTALL) -d -m755 $(DESTDIR)$(bindir)
 	python_exe=$$($(PYTHON) -c 'import sys; print(sys.executable)') && \
 	sed \
 		-e "1 s@^#!.*@#!$$python_exe@" \
 		-e "s#^basedir_fallback = .*#basedir_fallback = '$(basedir)/'#" \
-		$(exe) > $(DESTDIR)$(bindir)/$(exe)
-	chmod 0755 $(DESTDIR)$(bindir)/$(exe)
+		$(<) > $(<).tmp
+	install $(<).tmp $(DESTDIR)$(bindir)/$(<)
+	rm $(<).tmp
 	# library + data:
 	( find lib data -type f ! -name '*.py[co]' ) \
 	| xargs -t -I {} $(INSTALL) -p -D -m644 {} $(DESTDIR)$(basedir)/{}
-ifeq "$(wildcard doc/$(exe).1)" ""
+ifeq "$(DESTDIR)" ""
+	umask 022 && $(PYTHON) -m compileall -q $(basedir)/lib/
+endif
+ifeq "$(wildcard doc/*.1)" ""
 	# run "$(MAKE) -C doc" to build the manpage
 else
 	# manual page:
-	$(INSTALL) -p -D -m644 doc/$(exe).1 $(DESTDIR)$(mandir)/man1/$(exe).1
+	$(INSTALL) -p -D -m644 doc/$(<).1 $(DESTDIR)$(mandir)/man1/$(<).1
 endif
 
 .PHONY: test
@@ -61,5 +63,9 @@
 clean:
 	find . -type f -name '*.py[co]' -delete
 	find . -type d -name '__pycache__' -delete
+	rm -f .coverage
+	rm -f *.tmp
+
+.error = GNU make is required
 
 # vim:ts=4 sts=4 sw=4 noet

=== debian/changelog ===
i18nspector (0.25.8-1) unstable; urgency=medium

  * New upstream version.
    - Python 3.8 compatibility.

 -- Stuart Prescott <stuart@debian.org>  Mon, 25 Feb 2019 22:41:55 +1100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-polib,
  python3-rply,
 Homepage: http://jwilk.net/software/i18nspector
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian/i18nspector
 Vcs-Git: https://salsa.debian.org/debian/i18nspector.git

=== debian/tests/control ===
Tests: i18nspector
Depends:
 python3-all,
 python3-nose,
 i18nspector

## i18nspector 0.25.9

=== debian/changelog ===
i18nspector (0.25.9-1) unstable; urgency=medium

  [ Stuart Prescott ]
  * New upstream version.
  * Add Build-Depends on python3-all to test all supported runtimes at build.
  * Move to debhelper-compat 13.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-
    Browse.

 -- Stuart Prescott <stuart@debian.org>  Sat, 08 Aug 2020 18:18:56 +1000

i18nspector (0.25.8-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.4.1, no changes needed.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository.

  [ Stuart Prescott ]
  * Fix tests to use py3versions -s.
  * Update Standards-Version to 4.5.0 (no changes required).
  * Add Rules-Requires-Root: no.

 -- Stuart Prescott <stuart@debian.org>  Tue, 24 Mar 2020 01:48:07 +1100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Priority: optional
 Maintainer: Stuart Prescott <stuart@debian.org>
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 13),
  dh-python,
- python3,
+ python3-all,
 Build-Depends-Indep:
  python3-nose,
  python3-polib,
  python3-rply,
-Homepage: http://jwilk.net/software/i18nspector
-Standards-Version: 4.3.0
+Homepage: https://jwilk.net/software/i18nspector
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/i18nspector
 Vcs-Git: https://salsa.debian.org/debian/i18nspector.git
+Rules-Requires-Root: no
 
 Package: i18nspector
 Architecture: all

## i18nspector 0.26

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 
 .PHONY: install
 install: i18nspector
-	# binary:
+	# executable:
 	$(INSTALL) -d -m755 $(DESTDIR)$(bindir)
 	python_exe=$$($(PYTHON) -c 'import sys; print(sys.executable)') && \
 	sed \

=== doc/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 export LC_ALL=C
 
-rst2man = $(or $(shell which rst2man),rst2man.py)
+rst2man = $(notdir $(shell command -v rst2man || echo rst2man.py))
 exe = i18nspector
 
 .PHONY: all
@@ -42,4 +42,6 @@
 clean:
 	rm -f tags.rst $(exe).1 *.tmp
 
+.error = GNU make is required
+
 # vim:ts=4 sts=4 sw=4 noet

=== debian/changelog ===
i18nspector (0.26-1) unstable; urgency=medium

  * New upstream version.

 -- Stuart Prescott <stuart@debian.org>  Sun, 04 Oct 2020 14:29:43 +1100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Package: i18nspector
 Architecture: all
 Depends:
- python3 (>> 3.2),
+ python3,
  python3-polib,
  python3-rply,
  ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python3

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

## i18nspector 0.27.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2012-2018 Jakub Wilk <jwilk@jwilk.net>
+# Copyright © 2012-2021 Jakub Wilk <jwilk@jwilk.net>
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the “Software”), to deal
@@ -34,7 +34,7 @@
 .PHONY: install
 install: i18nspector
 	# executable:
-	$(INSTALL) -d -m755 $(DESTDIR)$(bindir)
+	$(INSTALL) -d $(DESTDIR)$(bindir)
 	python_exe=$$($(PYTHON) -c 'import sys; print(sys.executable)') && \
 	sed \
 		-e "1 s@^#!.*@#!$$python_exe@" \
@@ -57,12 +57,13 @@
 
 .PHONY: test
 test:
-	$(PYTHON) ./tests/run-tests -v
+	$(PYTHON) -m pytest -v
 
 .PHONY: clean
 clean:
 	find . -type f -name '*.py[co]' -delete
 	find . -type d -name '__pycache__' -delete
+	rm -rf .pytest_cache
 	rm -f .coverage
 	rm -f *.tmp

=== debian/changelog ===
i18nspector (0.27.1-2) unstable; urgency=medium

  * Update d/watch for github.
  * Update Standards-Version to 4.6.2 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Mon, 02 Oct 2023 12:03:42 +1100

i18nspector (0.27.1-1) unstable; urgency=medium

  * New upstream version.
   - switch from nose to pytest for build-time and autopkgtest tests

 -- Stuart Prescott <stuart@debian.org>  Fri, 12 Aug 2022 13:48:47 +1000

i18nspector (0.27-1) unstable; urgency=medium

  * New upstream version.
  * Update Standards-Version to 4.6.1 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Thu, 11 Aug 2022 00:46:07 +1000

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
  dh-python,
  python3-all,
 Build-Depends-Indep:
- python3-nose,
+ python3-pytest,
  python3-polib,
  python3-rply,
 Homepage: https://jwilk.net/software/i18nspector
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/i18nspector
 Vcs-Git: https://salsa.debian.org/debian/i18nspector.git
 Rules-Requires-Root: no

=== debian/tests/control ===
Tests: i18nspector
Depends:
 locales,
 python3-all,
 python3-pytest,
 i18nspector

=== debian/watch ===
version=3

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%, pgpsigurlmangle=s/$/.asc/" \
  https://github.com/jwilk/i18nspector/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## i18nspector 0.27.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2012-2021 Jakub Wilk <jwilk@jwilk.net>
+# Copyright © 2012-2022 Jakub Wilk <jwilk@jwilk.net>
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the “Software”), to deal
@@ -57,7 +57,7 @@
 
 .PHONY: test
 test:
-	$(PYTHON) -m pytest -v
+	$(PYTHON) -bb -m pytest -v
 
 .PHONY: clean
 clean:

=== debian/changelog ===
i18nspector (0.27.2-1) unstable; urgency=medium

  * New upstream version.
    - support for Python 3.14 (Closes: #1125020).
  * Update Standards-Version to 4.7.3 (no changes required).
  * Drop no-longer-needed Priority and Rules-Requires-Root.
  * Build man-page during package build.

 -- Stuart Prescott <stuart@debian.org>  Tue, 13 Jan 2026 11:51:34 +1100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: i18nspector
 Section: devel
-Priority: optional
 Maintainer: Stuart Prescott <stuart@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
  python3-all,
 Build-Depends-Indep:
+ python3-docutils,
  python3-pytest,
  python3-polib,
  python3-rply,
 Homepage: https://jwilk.net/software/i18nspector
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian/i18nspector
 Vcs-Git: https://salsa.debian.org/debian/i18nspector.git
-Rules-Requires-Root: no
 
 Package: i18nspector
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python3

execute_after_dh_auto_build:
	make -C doc

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr
